<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>globus_callback.h</name>
    <path>/tmp/buildd/globus-common-10.2/library/</path>
    <filename>globus__callback_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga17dfd1ac2bd1124b47b0a0e866de2da</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_POLL_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gc8a63eac4e4cb6090cc2adcae2542ac2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_handle_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g4f85a01e5ee8a7032a531d50ce0358b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_space_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g69d8464a2e7fc78364a9b63533d32e3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_callback_space_attr_s *</type>
      <name>globus_callback_space_attr_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g1f81769836beb9770703c306deef91f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_error_type_t</name>
      <anchor>g1864147191c9e90f4b75c4ca056a81d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d66039ccd0f83107467759f9374d5e8633</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_SPACE</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6143271c758625fb87c3ea9a63cf14570</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6f98a928438b17ffbb943641a8194711e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6ce22a31a5f24722e0f8674e7ba2abcb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d66dd43dbce0ca2aba4fc27704e4621acf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6f1945f8c19cc75fd9365a7403ba140ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g00971be2ad46334c3675ff01a3c7870a</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_blocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g5d2d58bfb7aab1e09b6427ac2539d147</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_nonblocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g15f2dc763d06beeb14dc22a0ed6db31a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g6ad7956caeb450a920cb9d8404b54100</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gb9f49b36b46afbbdd409187b70a327de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gd6be4ca6de684bc1022366dccf02998c</anchor>
      <arglist>(callback_handle,delay_time,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g9e6edc0d9f68cad1b558e3decfd60a49</anchor>
      <arglist>(callback_handle,delay_time,period,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_signal_handler</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gcc271e0753bde48a3c349e8d69ce2e03</anchor>
      <arglist>(signum,persist,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_callback_func_t</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g21e8352dd03e961edc8ac39856871bc5</anchor>
      <arglist>)(void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gdc0a255fef1494cf8e55d8d0e34f5d8f</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g07b9ba6e2d7e8ef08a918102c55d47f5</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, const globus_reltime_t *period, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g656416d94ee99bd72fc73165194bee43</anchor>
      <arglist>(globus_callback_handle_t callback_handle, globus_callback_func_t unregister_callback, void *unreg_arg, globus_bool_t *active)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gd42e06e7a1dad6a4a33c62e30f396f05</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_delay)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_period</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g584921460a236b660ee99b3c1335386e</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_period)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_space_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gf14495fb955b2e15354eec1cd18a6e21</anchor>
      <arglist>(const globus_abstime_t *timestop, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g2090351c87971f1944058f52190f80d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_get_timeout</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g4fbadde5b11f725dae30078aeb7a457d</anchor>
      <arglist>(globus_reltime_t *time_left)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_has_time_expired</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g2e8cdd9213143ab822d920bb2396a363</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_was_restarted</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g965a3562ccc5977378e2dbd0d4cd8dd8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_GLOBAL_SPACE</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g9cf443240780ca5c044e14869bcda8b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_SIGNAL_INTERRUPT</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g7006976298f57b5aba40aa83ec6563fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_space_behavior_t</name>
      <anchor>g1e2eaa0f77a50d70a7e973adfb038786</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SINGLE</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786685a86fd6cb182bea310c3114c600a94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SERIALIZED</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786db2e8d37e2a089acb6b717875ebb13bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_THREADED</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786014ff05ec33d76d6562bffc8ddf9bca6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g6069adb3fd5caaef571844c3d508f425</anchor>
      <arglist>(globus_callback_space_t *space, globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_reference</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g140085e590a8606d72eb46a755302f6d</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g84d294617a0ee3e513f56ff6398773c2</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gb907a57f597ce8792d582433ca0e157f</anchor>
      <arglist>(globus_callback_space_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g7201276cdd70c512453075bc3a6dad04</anchor>
      <arglist>(globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_set_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gf03d0cf89279efc64432f4e4062f650f</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_get_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g133f7d3432920c0d2f76f5da1a721835</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t *behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_get</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g9e83e0f58db081d0732daf366a5abdb8</anchor>
      <arglist>(globus_callback_space_t *space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_callback_space_get_depth</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g98a81faf764fc83f8b54db13d4e103d1</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_space_is_single</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g6eeca966aa3025db3d9dd884a4574327</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g5d13156ff8af3c375014e14a9bc58ac1</anchor>
      <arglist>(int signum, globus_bool_t persist, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>gc295b2e5f4582ea70c58c3beba55af9b</anchor>
      <arglist>(int signum, globus_callback_func_t unregister_callback, void *unreg_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_add_wakeup_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g19dad3a07ca8607dceebed155b390073</anchor>
      <arglist>(void(*wakeup)(void *), void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_thread_common.h</name>
    <path>/tmp/buildd/globus-common-10.2/library/</path>
    <filename>globus__thread__common_8h</filename>
  </compound>
  <compound kind="struct">
    <name>globus_url_t</name>
    <filename>structglobus__url__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>scheme</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ef873a16c6cde1caa415377f1ba10bf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_url_scheme_t</type>
      <name>scheme_type</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>12d8f34e7815405a4594cb0f7d424bb5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>user</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>d0aa7c62df27a5bcce531567975be9de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>password</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>9374fbe357ed3b042c8a3ec580a3b683</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>host</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>2573213ef2193506fca032efc28aea66</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>3e1e59f7ff639f795a1d212767ff01a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_path</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>c4c703a8a07e4db5140e6e5e3bb0e5d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>dn</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>9b46784d93b32183e0e794fe6dbc22b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>attributes</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>b1c6bc56b9b1da9b789e53459bb68bff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>scope</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>3ba5a323dcf1c4361806b464717e8ffc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>filter</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>e0f52dec8fc4d482eb3d51bcd5231285</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_specific_part</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>81cecbd8ab769749e6108b78a1ff26f0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback</name>
    <title>Globus Callback</title>
    <filename>group__globus__callback.html</filename>
    <subgroup>globus_callback_api</subgroup>
    <subgroup>globus_callback_spaces</subgroup>
    <subgroup>globus_callback_signal</subgroup>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga17dfd1ac2bd1124b47b0a0e866de2da</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_POLL_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gc8a63eac4e4cb6090cc2adcae2542ac2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_handle_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g4f85a01e5ee8a7032a531d50ce0358b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_space_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g69d8464a2e7fc78364a9b63533d32e3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_callback_space_attr_s *</type>
      <name>globus_callback_space_attr_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g1f81769836beb9770703c306deef91f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_error_type_t</name>
      <anchor>g1864147191c9e90f4b75c4ca056a81d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d66039ccd0f83107467759f9374d5e8633</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_SPACE</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6143271c758625fb87c3ea9a63cf14570</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6f98a928438b17ffbb943641a8194711e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6ce22a31a5f24722e0f8674e7ba2abcb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d66dd43dbce0ca2aba4fc27704e4621acf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6f1945f8c19cc75fd9365a7403ba140ed</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_api</name>
    <title>Globus Callback API</title>
    <filename>group__globus__callback__api.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g00971be2ad46334c3675ff01a3c7870a</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_blocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g5d2d58bfb7aab1e09b6427ac2539d147</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_nonblocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g15f2dc763d06beeb14dc22a0ed6db31a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g6ad7956caeb450a920cb9d8404b54100</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gb9f49b36b46afbbdd409187b70a327de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gd6be4ca6de684bc1022366dccf02998c</anchor>
      <arglist>(callback_handle,delay_time,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g9e6edc0d9f68cad1b558e3decfd60a49</anchor>
      <arglist>(callback_handle,delay_time,period,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_signal_handler</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gcc271e0753bde48a3c349e8d69ce2e03</anchor>
      <arglist>(signum,persist,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_callback_func_t</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g21e8352dd03e961edc8ac39856871bc5</anchor>
      <arglist>)(void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gdc0a255fef1494cf8e55d8d0e34f5d8f</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g07b9ba6e2d7e8ef08a918102c55d47f5</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, const globus_reltime_t *period, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g656416d94ee99bd72fc73165194bee43</anchor>
      <arglist>(globus_callback_handle_t callback_handle, globus_callback_func_t unregister_callback, void *unreg_arg, globus_bool_t *active)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gd42e06e7a1dad6a4a33c62e30f396f05</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_delay)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_period</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g584921460a236b660ee99b3c1335386e</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_period)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_space_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gf14495fb955b2e15354eec1cd18a6e21</anchor>
      <arglist>(const globus_abstime_t *timestop, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g2090351c87971f1944058f52190f80d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_get_timeout</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g4fbadde5b11f725dae30078aeb7a457d</anchor>
      <arglist>(globus_reltime_t *time_left)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_has_time_expired</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g2e8cdd9213143ab822d920bb2396a363</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_was_restarted</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g965a3562ccc5977378e2dbd0d4cd8dd8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_spaces</name>
    <title>Globus Callback Spaces</title>
    <filename>group__globus__callback__spaces.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_GLOBAL_SPACE</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g9cf443240780ca5c044e14869bcda8b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_space_behavior_t</name>
      <anchor>g1e2eaa0f77a50d70a7e973adfb038786</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SINGLE</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786685a86fd6cb182bea310c3114c600a94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SERIALIZED</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786db2e8d37e2a089acb6b717875ebb13bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_THREADED</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786014ff05ec33d76d6562bffc8ddf9bca6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g6069adb3fd5caaef571844c3d508f425</anchor>
      <arglist>(globus_callback_space_t *space, globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_reference</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g140085e590a8606d72eb46a755302f6d</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g84d294617a0ee3e513f56ff6398773c2</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gb907a57f597ce8792d582433ca0e157f</anchor>
      <arglist>(globus_callback_space_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g7201276cdd70c512453075bc3a6dad04</anchor>
      <arglist>(globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_set_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gf03d0cf89279efc64432f4e4062f650f</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_get_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g133f7d3432920c0d2f76f5da1a721835</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t *behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_get</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g9e83e0f58db081d0732daf366a5abdb8</anchor>
      <arglist>(globus_callback_space_t *space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_callback_space_get_depth</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g98a81faf764fc83f8b54db13d4e103d1</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_space_is_single</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g6eeca966aa3025db3d9dd884a4574327</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_signal</name>
    <title>Globus Callback Signal Handling</title>
    <filename>group__globus__callback__signal.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_SIGNAL_INTERRUPT</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g7006976298f57b5aba40aa83ec6563fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g5d13156ff8af3c375014e14a9bc58ac1</anchor>
      <arglist>(int signum, globus_bool_t persist, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>gc295b2e5f4582ea70c58c3beba55af9b</anchor>
      <arglist>(int signum, globus_callback_func_t unregister_callback, void *unreg_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_add_wakeup_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g19dad3a07ca8607dceebed155b390073</anchor>
      <arglist>(void(*wakeup)(void *), void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_api</name>
    <title>Globus Errno Error API</title>
    <filename>group__globus__errno__error__api.html</filename>
    <subgroup>globus_errno_error_object</subgroup>
    <subgroup>globus_errno_error_accessor</subgroup>
    <subgroup>globus_errno_error_utility</subgroup>
    <docanchor file="/tmp/buildd/globus-common-10.2/library/globus_error_errno.h">globus_errno_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__errno__error__object.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>g6e1ce7ef61090158b4de3623a7d463b0</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>g1bfe92423c140a100221740eec784e63</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_ERRNO</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>gcb5eb7162b9f1ed3499ba341245024bd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__errno__error__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_error_errno_get_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>g797ccd77edb0ed072f09937385d71fee</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_errno_set_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>gec92ef73ed767fd2d4a2948b502f4055</anchor>
      <arglist>(globus_object_t *error, const int system_errno)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__errno__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_errno_match</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>g3bd4634b791a27adb61e951d8fdc53c1</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_errno_error</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>ga9dadafc91a9f115e7345e75b112a6ef</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int system_errno, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_error_api</name>
    <title>Globus Error API</title>
    <filename>group__globus__error__api.html</filename>
    <subgroup>globus_errno_error_api</subgroup>
    <subgroup>globus_generic_error_api</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_api</name>
    <title>Globus Generic Error API</title>
    <filename>group__globus__generic__error__api.html</filename>
    <subgroup>globus_generic_error_object</subgroup>
    <subgroup>globus_generic_error_accessor</subgroup>
    <subgroup>globus_generic_error_utility</subgroup>
    <docanchor file="/tmp/buildd/globus-common-10.2/library/globus_error_generic.h">globus_generic_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__generic__error__object.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>g76580aed13fffc1a1689ca79ef76df51</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_v_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>g4b64354956ca4f8840663469ff80689e</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga36f5a3d0cb4c5fd57f5bf1b602ed540</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_GLOBUS</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>g984732b6c2817ffce4104d8bb00fc90d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__generic__error__accessor.html</filename>
    <member kind="function">
      <type>globus_module_descriptor_t *</type>
      <name>globus_error_get_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gb51bbc132e361124a29ce72729fa10d0</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g8bde72d7c440d57fc263da10c0f15dff</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *source_module)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_get_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g8984fdfe29f645ba6ddac96e79ade966</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gaaeb01c650724287090d4b9dc778e41b</anchor>
      <arglist>(globus_object_t *error, globus_object_t *causal_error)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_error_get_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gb85044a7bf4ce59aa0f1851416e710f8</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga0abc6f1f9f2f1c0e3c1889979cab6c9</anchor>
      <arglist>(globus_object_t *error, const int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g898fe64e86b5ff03d9488d573d46b4ef</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g231f6a716cb0e527657a042d4fc964a6</anchor>
      <arglist>(globus_object_t *error, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ge1da9669d7b66ec0d9479d3eca8e6776</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g2a68f5815d3d6c25bb9ad8e4b3cde08c</anchor>
      <arglist>(globus_object_t *error, const char *long_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__generic__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>g074766d26ac90c6aecffcac9ac45cad3</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_chain</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>ge7cc870910225e86f337b5daa0f1cd85</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_friendly</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>gd48663cd2e9cae29d61b03ec3087db23</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_common_thread</name>
    <title>Globus Thread API</title>
    <filename>group__globus__common__thread.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_setspace</name>
      <anchorfile>group__globus__common__thread.html</anchorfile>
      <anchor>g09b936546648148dbcac21e5d4e5e2f2</anchor>
      <arglist>(globus_condattr_t *attr, int space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_getspace</name>
      <anchorfile>group__globus__common__thread.html</anchorfile>
      <anchor>gf457eb834b0809c6d8f16d17527f9ae5</anchor>
      <arglist>(globus_condattr_t *attr, int *space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_url</name>
    <title>URL String Parser</title>
    <filename>group__globus__url.html</filename>
    <class kind="struct">globus_url_t</class>
    <member kind="enumeration">
      <name>globus_url_scheme_t</name>
      <anchor>g65a5549f127fe0efac151ea0ffd3f5a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FTP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a71a72da123ee034c460e43682a86fbaf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_GSIFTP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a798701a6efd2f0a9e51d24317207ebbae</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7d7295236b974722eafc17517c919ff9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTPS</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7c24e9708d123e63f632eedf8796d7c70</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_LDAP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7bc87ad7ccd142152a23f120ceedd09a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FILE</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a70414f774623463ca3c48c4954b43549d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_NEXUS</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7c8d9bd0406ffd5542e8c5a7f82e19af9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_GASS_CACHE</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7894c51e482136fe2a81a0d2334c5870b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_UNKNOWN</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a780e2eb8c8ebaa1cc26689e997310b954</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_NUM_SCHEMES</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a76a6333a9c27590ca4fc6ca76178a604e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gbde55acebd6847857cc4ef3839fadd38</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_rfc1738</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g2ac8d50cffbc2a49cca73d2ca64abee5</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_loose</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g09a62383959387ccbcd2f482cfd574fb</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_destroy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gc950d3b492bde7981658798b6177b815</anchor>
      <arglist>(globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_get_scheme</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g47371b0d4284b548ab9aef0a14b285c5</anchor>
      <arglist>(const char *url_string, globus_url_scheme_t *scheme_type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_copy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g515ad29918222c54c23d4761a7497bb4</anchor>
      <arglist>(globus_url_t *dst, const globus_url_t *src)</arglist>
    </member>
  </compound>
</tagfile>
